DKBSignDocs

API reference

POSTRequires Bearer token

Create a workflow

/api/workflows/create

Start a workflow from a model. Usually sent as multipart (documents + JSON fields).

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
workflow_model_id
Required
integerModel to launch.
e.g. 1
name
Required
stringWorkflow name.
e.g. "Contract ACME"
client_id
integerExisting client id.
e.g. 12
documents[]
stringPDF documents to process.

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/create' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'workflow_model_id=1' \
  -F 'name=Contract ACME' \
  -F 'client_id=12' \
  -F 'documents[]=documents[]'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}